#!/bin/bash

# Define the service names to check
service_names=("Service1" "Service2")

# Function to check the status of a service
check_service_status() {
    local service_name="$1"
    if systemctl is-active --quiet "$service_name"; then
        echo "Service $service_name is running."
        systemctl status "$service_name"
    elif systemctl list-unit-files | grep -q "^$service_name.service"; then
        echo "Service $service_name is present but not running."
    else
        echo "Service $service_name is not present."
    fi
}

# Iterate over the service names and check their status
for service_name in "${service_names[@]}"; do
    check_service_status "$service_name"
    echo
done